<form class='loadModal' [formGroup]="addLoadForm" (ngSubmit)='onSubmit()'>

  <h2 class='loadModal__topic' i18n>Load Info</h2>

  <mat-form-field class='loadModal__field' appearance="fill">
    <mat-label i18n>Name</mat-label>
    <input type='text' placeholder='Enter description' matInput formControlName='name' required>
  </mat-form-field>

  <mat-form-field class='loadModal__field' appearance="fill">
    <mat-label i18n>Payload</mat-label>
    <input type='number' placeholder='Enter weight' matInput formControlName='payload' required>
  </mat-form-field>

  <mat-form-field class='loadModal__field' appearance="fill">
    <mat-label i18n>Pick-Up address(you can choose on map)</mat-label>
    <input #pickUp type='text' placeholder='Enter pick-up address' matInput formControlName='pickup_address' required [readonly]='true'>
    <div class='loadModal__map'>
      <button type='button' mat-icon-button color="accent" aria-label="Example icon button with a menu icon" (click)='openMap("PICKUP")'>
        <mat-icon>map</mat-icon>
      </button>
    </div>
  </mat-form-field>

  <mat-form-field class='loadModal__field' appearance="fill">
    <mat-label i18n>Delivery address(you can choose on map)</mat-label>
    <input type='text' placeholder='Enter delivery address' matInput formControlName='delivery_address' required [readonly]='true'>
    <div class='loadModal__map'>
      <button type='button' mat-icon-button color="accent" aria-label="Example icon button with a menu icon" (click)='openMap("DELIVERY")'>
        <mat-icon>map</mat-icon>
      </button>
    </div>
  </mat-form-field>

  <h3 class='loadModal__topic' i18n>Dimensions (width, length, height)</h3>

  <div class='loadModal__dimension'>

    <mat-form-field class='loadModal__field' appearance="fill">
      <mat-label i18n>Width</mat-label>
      <input type='number' placeholder='Enter width' matInput formControlName='width' required>
    </mat-form-field>

    <mat-form-field class='loadModal__field' appearance="fill">
      <mat-label i18n>Length</mat-label>
      <input type='number' placeholder='Enter length' matInput formControlName='length' required>
    </mat-form-field>

    <mat-form-field class='loadModal__field' appearance="fill">
      <mat-label i18n>Height</mat-label>
      <input type='number' placeholder='Enter height' matInput formControlName='height' required>
    </mat-form-field>
  </div>

  <button *ngIf='!item' type='submit' class='loadModal__btn' mat-raised-button color="primary" [disabled]='!addLoadForm.valid' i18n>Create</button>
  <button *ngIf='item' type='button' class='loadModal__btn' mat-raised-button color="primary" [disabled]='!addLoadForm.valid' (click)='updateLoad()' i18n>Save</button>

</form>
